/*
 * Copyright (c) 2012-2018 Red Hat, Inc.
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *   Red Hat, Inc. - initial API and implementation
 */
package org.eclipse.che.ide;

/**
 * Font awesome icons.
 *
 * @author Vitaliy Guliy
 */
public class FontAwesome {

  /** http://fortawesome.github.io/Font-Awesome/icon/arrows-alt/ */
  public static final String ARROWS_ALT = "<i class=\"fa fa-arrows-alt\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/arrow-circle-o-left/ */
  public static final String ARROW_CIRCLE_O_LEFT = "<i class=\"fa fa-arrow-circle-o-left\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/ban/ */
  public static final String BAN = "<i class=\"fa fa-ban\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/certificate/ */
  public static final String CERTIFICATE = "<i class=\"fa fa-certificate\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/caret-down/ */
  public static final String CARET_DOWN = "<i class=\"fa fa-caret-down\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/cog/ */
  public static final String COG = "<i class=\"fa fa-cog\"></i>";

  /** http://fontawesome.io/icon/caret-square-o-left/ */
  public static final String CARET_SQUARE_O_LEFT =
      "<i class=\"fa fa-caret-square-o-left\" aria-hidden=\"true\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/compress/ */
  public static final String COMPRESS = "<i class=\"fa fa-compress\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/dot-circle-o/ */
  public static final String DOT_CIRCLE = "<i class=\"fa fa-dot-circle-o\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/download/ */
  public static final String DOWNLOAD = "<i class=\"fa fa-download\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/ellipsis-v/ */
  public static final String ELLIPSIS_V = "<i class=\"fa fa-ellipsis-v\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/expand/ */
  public static final String EXPAND = "<i class=\"fa fa-expand\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/folder/ */
  public static final String FOLDER = "<i class=\"fa fa-folder\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/history/ */
  public static final String HISTORY = "<i class=\"fa fa-history\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/link/ */
  public static final String LINK = "<i class=\"fa fa-link\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/minus-circle/ */
  public static final String MINUS = "<i class=\"fa fa-minus-circle\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/plus-circle/ */
  public static final String PLUS_CIRCLE = "<i class=\"fa fa-plus-circle\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/plus/ */
  public static final String PLUS = "<i class=\"fa fa-plus\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/refresh/ */
  public static final String REFRESH = "<i class=\"fa fa-refresh\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/retweet/ */
  public static final String RETWEET = "<i class=\"fa fa-retweet\" aria-hidden=\"true\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/exchange/ */
  public static final String EXCHANGE = "<i class=\"fa fa-exchange\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/search/ */
  public static final String SEARCH = "<i class=\"fa fa-search\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/trash/ */
  public static final String TRASH = "<i class=\"fa fa-trash\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/undo/ */
  public static final String UNDO = "<i class=\"fa fa-undo\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/check/ */
  public static final String CHECK = "<i class=\"fa fa-check\"></i>";

  /** http://fortawesome.github.io/Font-Awesome/icon/exclamation-triangle/ */
  public static final String EXCLAMATION_TRIANGLE = "<i class=\"fa fa-exclamation-triangle\"></i>";

  /** http://fontawesome.io/icon/columns/ */
  public static final String COLUMNS = "<i class=\"fa fa-columns\"></i>";

  /** http://fontawesome.io/icon/minus-square-o/ */
  public static final String MINUS_SQUARE_O = "<i class=\"fa fa-minus-square-o\"></i>";

  /** http://fontawesome.io/icon/square-o/ */
  public static final String SQUARE_O = "<i class=\"fa fa-square-o\"></i>";

  /** http://fontawesome.io/icon/pause/ */
  public static final String PAUSE = "<i class=\"fa fa-pause\"></i>";

  /** http://fontawesome.io/icon/play/ */
  public static final String PLAY = "<i class=\"fa fa-play\"></i>";

  /** http://fontawesome.io/icon/repeat/ */
  public static final String REPEAT = "<i class=\"fa fa-repeat\"></i>";

  /** http://fontawesome.io/icon/stop/ */
  public static final String STOP = "<i class=\"fa fa-stop\"></i>";

  /** http://fontawesome.io/icon/bug/ */
  public static final String BUG = "<i class=\"fa fa-bug\"></i>";

  /** http://fontawesome.io/icon/bullseye/ */
  public static final String BULLSEYE = "<i class=\"fa fa-bullseye\"></i>";

  /** http://fontawesome.io/icon/list/ */
  public static final String LIST = "<i class=\"fa fa-list\"></i>";

  /** http://fontawesome.io/icon/list-ul/ */
  public static final String LIST_UL = "<i class=\"fa fa-list-ul\"></i>";

  /** http://fontawesome.io/icon/arrow-up/ */
  public static final String ARROW_UP = "<i class=\"fa fa-arrow-up\"></i>";

  /** http://fontawesome.io/icon/arrow-down/ */
  public static final String ARROW_DOWN = "<i class=\"fa fa-arrow-down\"></i>";

  /** http://fontawesome.io/icon/file-text/ */
  public static final String FILE_TEXT = "<i class=\"fa fa-file-text\"></i>";

  /** http://fontawesome.io/icon/i-cursor/ */
  public static final String I_CURSOR = "<i class=\"fa fa-i-cursor\"></i>";

  /** http://fontawesome.io/icon/share-square-o/ */
  public static final String SHARE_SQUARE = "<i class=\"fa fa-share-square-o\"></i>";
}
